Start or stop data security jobs for cloud accounts
Starts or stops data security jobs for the specified list of cloud accounts.
- application/json
Request Body required
- operation string required
Possible values: [
Start,Stop]Operation to perform on data security jobs
- cloudConnectionIds int32[]
Possible values:
>= 1List of cloud connection IDs for which jobs should be started or stopped
cloudAccounts object[]
Possible values:
>= 1List of cloud accounts for which jobs should be started or stopped
cloudAccountId string requiredUnique identifier of the cloud account
cloudAccountName stringHuman-readable name of the cloud account
cvCloudAccountId int32Internal Commvault identifier for the cloud account
cloudConnectionId int32Cloud connection ID associated with the cloud account
- 200
- 400
- 401
- 500
Jobs operation submitted successfully
- application/json
- Schema
- Example (from schema)
Schema
- success boolean
Indicates whether the request was accepted successfully
- message string
Human-readable status message
error object
Error details if the request failed
errorMessage stringTells about the error occured
errorCode ErrorCodePossible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"success": true,
"message": "string",
"error": {
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
}
Bad Request - Invalid operation or cloud account payload
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}